Bug 970094 - Ruleflow execution (stateless session) works only at the first call
Summary: Ruleflow execution (stateless session) works only at the first call
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
(Show other bugs)
Version: BRMS 5.3.1
Hardware: Unspecified Unspecified
high
high
Target Milestone: GA
: ---
Assignee: Tihomir Surdilovic
QA Contact: Tomas Schlosser
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 986451
TreeView+ depends on / blocked
 
Reported: 2013-06-03 13:01 UTC by Martin Weiler
Modified: 2018-12-03 18:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-141 Major Resolved Rules run once completely on server, then only first rule executes 2018-10-09 09:05 UTC

Description Martin Weiler 2013-06-03 13:01:47 UTC
Description of problem:
Platform issue for DROOLS-141:
Rules run once completely on server, then only first rule executes

Comment 1 JBoss JIRA Server 2013-06-06 16:03:52 UTC
Jenna Schabdach <jmschabdach@gmail.com> made a comment on jira DROOLS-141

Have there been any updates released for this issue in Beta3?

Comment 2 JBoss JIRA Server 2013-06-06 16:51:32 UTC
Davide Sottara <dsotty@gmail.com> made a comment on jira DROOLS-141

we'll merge the fix early next week, it will probably be in beta4 which will be out very soon. 
The fix for the Drools 5 series is here:
https://github.com/sotty/drools/blob/3aa311905a1cf6b06e777294ecd327f9a3bb797a/drools-core/src/main/java/org/drools/impl/StatelessKnowledgeSessionImpl.java

Comment 3 JBoss JIRA Server 2013-06-18 21:11:43 UTC
Jeff Miller <jeffmax@gmail.com> made a comment on jira DROOLS-141

Davide-

I was just wondering if this would be merged into the Drools 5.6.0 release?

Thanks,
Jeff

Comment 4 JBoss JIRA Server 2013-06-20 13:51:36 UTC
Jeff Miller <jeffmax@gmail.com> made a comment on jira DROOLS-141

Out of curiosity, do we know why this problem hasn't caused more widespread issues? Do most folks not sure stateless sessions?

Comment 5 JBoss JIRA Server 2013-06-20 13:51:50 UTC
Jeff Miller <jeffmax@gmail.com> made a comment on jira DROOLS-141

Out of curiosity, do we know why this problem hasn't caused more widespread issues? Do most folks not use stateless sessions?

Comment 6 JBoss JIRA Server 2013-06-21 10:08:55 UTC
Davide Sottara <dsotty@gmail.com> made a comment on jira DROOLS-141

This will definitely be in 5.6. As for the 'widespread issues', I have no idea, I'm a just a humble community member :)
Maybe one thing to consider is that Ruleflows (RFs) have been discouraged in favor of proper business processes (BPMNs)

Comment 7 JBoss JIRA Server 2013-06-24 16:16:36 UTC
Jenna Schabdach <jmschabdach@gmail.com> made a comment on jira DROOLS-141

Davide,

Thanks for posting the fix. I've updated the RF files to BPMNs and am trying to test them. Is there a way to use the drools core fix to run the drools server? (Apologies if this is straightforward, I'm still relatively new to Drools and Ant/Maven.)

Jenna

Comment 8 JBoss JIRA Server 2013-06-24 20:36:44 UTC
Jenna Schabdach <jmschabdach@gmail.com> made a comment on jira DROOLS-141

Davide,

Thanks for posting the fix. I've updated the RF files to BPMNs and downloaded your fix. So far so good!

Jenna

Comment 9 JBoss JIRA Server 2013-08-23 16:31:23 UTC
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-141 to Resolved

Comment 10 Tomas Schlosser 2013-09-11 06:59:36 UTC
Verified in 5.3.1.BRMS-P04.


Note You need to log in before you can comment on or make changes to this bug.